Subject: bug#53934: OpenJDK doesn't have a doclet

From: Michael Rohleder <[email-masked]>
Date: Mon, 14 Feb 2022 00:21:48 +0100

Igor Gajsin <[email-masked]> writes:
> There is a problem with openjdk (all versions 10 to 17). When I run
> cider (emacs mode for clojure) it complains about:
> java.lang.ClassNotFoundException: jdk.javadoc.doclet.Doclet
>
> when I try to set icedtea there is no such problem. If I understand well
> doclet is a part of JDK so it shoulb be part of a modern openjdk
> installation.

I haven't tried, but maybe adding a file "module-info.java" with the
content "requires jdk.javadoc" to your project might help. [1]

[1]
https://stackoverflow.com/questions/65683365/why-cant-i-import-the-jdk-javadoc-doclet-package

-- 
The difference between a career and a job is about 20 hours a week.